Subject: Re: IPv6: Bug in net-next

From: Damien Wyart <[email-masked]>
Date: Wed, 8 Jan 2014 14:54:15 +0100

> > > When I execute this code and press Crtl-C, all the IPv6 Link-Layer
> > > addresses are deleted.

> It seems that the valid lifetime and preferred lft are set to 0 sec
> for autoconfigured LLA.

I am also seeing the problem with Linus' up-to-date tree (3.13-rc7+).

On eth0, LLA is not present after boot, as well as ::1 (Host scope) on
the loopback (which causes some daemons to not start properly as they
try to listen on ::1). Manually setting these adresses with ip addr
works, they do not disappear afterwards.

-- 
Damien